Default signature should be customizable
Closed, ResolvedPublic

Description

Author: cbm.wikipedia

Description:
Patch to make default signatures customizable

The default signature should be customizable, rather than hard-coded into Parser.php. This would also make it possible to link to the user's talk page in the default signature. Proof of concept patch included.


Version: unspecified
Severity: enhancement

Attached: sig.patch

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 9:56 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz11913.
bzimport created this task.Via LegacyNov 9 2007, 10:00 PM
Raymond added a comment.Via ConduitNov 10 2007, 4:27 AM
  • Bug 11916 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitNov 13 2007, 6:25 PM

cbm.wikipedia wrote:

This should be merged with bug 11315, which involves changing the same lines of code.

bzimport added a comment.Via ConduitNov 13 2007, 6:40 PM

cbm.wikipedia wrote:

*** This bug has been marked as a duplicate of bug 11315 ***

Raymond added a comment.Via ConduitNov 13 2007, 6:45 PM

(In reply to comment #2)

This should be merged with bug 11315, which involves changing the same lines of
code.

Maybe, but the this bug is not a dupe of bug 11315. The intention is another one. -> reopen it.

bzimport added a comment.Via ConduitNov 13 2007, 6:55 PM

cbm.wikipedia wrote:

I have uploaded a patch for bug 11315 that should resolve both bugs

Catrope added a comment.Via ConduitNov 13 2007, 8:34 PM

CBM's patch has been applied (thanks BTW) in r27473

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.